#pragma once

#include "bullytypes.h"

namespace Bully {

class BGFile {
public:
	int width,height,channels,imageSize;
	PixelDepth depth;
	unsigned char *data;
	char channelSeq[4];
	BGFile() : width(0), height(0), channels(0), imageSize(0), depth(DEPTH_8U), data(0) {
		channelSeq[0] = 'B';
		channelSeq[1] = 'G';
		channelSeq[2] = 'R';
		channelSeq[3] = 0;
	}
};

extern void writeBGFile( const char *path, BGFile &bgFile );
extern void readBGFile( const char *path, BGFile &bgFile );
extern void freeBGFile( BGFile &bgFile );

}; // namespace Bully
