#include "bullycontour.h"
#include "eriksul.h"
#include <algorithm>
using namespace std;

Bully::Contour::Contour(){
}
Bully::Contour::Contour( Contour const & c ){
	init(c);
}
Bully::Contour::~Contour(){
}
Bully::Contour const & Bully::Contour::operator=( Contour const & c ){
	if( &c == this ) return *this;
	init(c);
	return *this;
}
void Bully::Contour::init( Contour const & c ){
	pixels.resize(c.pixels.size());
	copy(c.pixels.begin(), c.pixels.end(), pixels.begin());
	chaincode.resize(c.chaincode.size());
	copy(c.chaincode.begin(), c.chaincode.end(), chaincode.begin());
	startPoint = c.startPoint;
}
