#include "bullymath.h"
#include "bullytypes.h"
#include <math.h>

float Bully::cosf[360];
float Bully::sinf[360];
double Bully::cos[360];
double Bully::sin[360];

void Bully::initMath(){
	float radFacf = PIf / 180.0f;
	double radFac = PI / 180.0;
	for( int i = 0; i < 360; i++ ){
		float anglef = float(i)*radFacf;
		double angled = double(i)*radFac;
		Bully::cosf[i] = ::cosf(anglef);
		Bully::sinf[i] = ::sinf(anglef);
		Bully::cos[i] = ::cos(angled);
		Bully::sin[i] = ::sin(angled);
	}
}
