#include "bullymoduleanal_notstanding.h"
#include "bullyobjectlist.h"
#include "bullyblob.h"
#include "bullybuffer.h"
#include "bullybuffermanager.h"
#include "bullyparams.h"
#include <string>
#include <iostream>
using namespace std;

namespace Bully {

ModuleAnalyze_NotStanding::ModuleAnalyze_NotStanding(BufferManager &buffer, Params &params)
	: ModuleAnalyze(buffer,params)
{
}
ModuleAnalyze::Result ModuleAnalyze_NotStanding::process( ObjectList *objectList ){
	++_frameCount;
	Result res;

	Bully::Matrix3<double> m;
	params->getMatrix(params->getString("trackHomography",0) , m);
	cout << m;

	drawDebugOutput(res);
	return res;
}

} // namespace Bully
