#pragma once

#include "bullymoduleprep.h"

namespace Bully {

class ModulePreprocess_HSV : public ModulePreprocess {
public:
	ModulePreprocess_HSV( BufferManager &buffer, Params &params );
	virtual ~ModulePreprocess_HSV();

	void process();
	void handleInput( bool down, char ascii );
	void handleInput( bool down, int mbutton, int x, int y ){};

protected:
	void drawDebugOutput();
	void findShadowPixels(const char *src, const char *dst);
};

}; // namespace Bully
