#include "bullymoduletrack.h"
#include "bullyobjectlist.h"
#include "bullybuffermanager.h"
#include "bullyparams.h"
#include <iostream>
using namespace std;

namespace Bully {

ModuleTrack::ModuleTrack()
	: Module()
{
}
ModuleTrack::ModuleTrack(BufferManager &buffer, Params &params)
	: Module(buffer, params)
{
}
ModuleTrack::~ModuleTrack(){
}
void ModuleTrack::printDebugOutput(){
	if( (int)params->get("printObjectCount") == 1 ){
		cout << "objs(" << objects->count() << ") ";
	}
}

} // namespace Bully
