#pragma once

#include "bullymodule.h"

namespace Bully {

class BlobList;
class ObjectList;
class ModulePostprocess;

class ModuleTrack : public Module {
public:
	ModuleTrack();
	ModuleTrack(BufferManager &buffer, Params &params);
	virtual ~ModuleTrack();

	virtual void process( BlobList * ) = 0;
	virtual ObjectList *getObjectList() = 0;

protected:
	void printDebugOutput();
	ObjectList *objects;
	ModulePostprocess *postProc;
};

};
