#pragma once

#include "bullymoduletrack.h"

namespace Bully {

class ModulePostprocess;

class ModuleTrack_Default : public ModuleTrack {
public:
	ModuleTrack_Default(BufferManager &buffer, Params &params);
	virtual ~ModuleTrack_Default();

	void process( BlobList * );
	ObjectList *getObjectList();
	void handleInput( bool down, char ascii ){};
	void handleInput( bool down, int mbutton, int x, int y ){};

private:
	void drawDebugOutput();
};

};
