#include "bullytypes.h"
#include "bullyobject.h"
#include "bullyblob.h"
#include <algorithm>
#include "eriksul.h"
using namespace std;

Bully::Blob::Blob(){
	Observation::init();
	area=0;
	entered = false;
	merged = false;
	obj = 0;
	hist.resize(256, .0);
}
Bully::Blob::Blob(Blob const & b){
	init(b);
}
Bully::Blob::~Blob(){
}
const Bully::Blob& Bully::Blob::operator= ( const Blob & b ){
	if( &b == this ) return *this;
	init(b);
	return *this;
}
void Bully::Blob::init( Blob const & b ){
	Observation::init(b);

	area = b.area;
	bbox = b.bbox;
	centroid = b.centroid;
	contour = b.contour;
	hist.resize(b.hist.size());
	copy(b.hist.begin(), b.hist.end(), hist.begin());

	entered = b.entered;
	merged = b.merged;
	obj = b.obj;
	col = b.col;
}
