#include "bullybloblist.h"
#include <assert.h>

Bully::BlobList::BlobList(int size){
	blobList.reserve(size);
}
Bully::BlobList::~BlobList(){
}
void Bully::BlobList::add(Bully::Blob &b){
	blobList.push_back(b);
}
Bully::Blob * Bully::BlobList::get(int index){
	assert(index >= 0 && index < count());
	return &(blobList[index]);
}
void Bully::BlobList::clear(){
	blobList.clear();
}
int Bully::BlobList::count(){
	return static_cast<int>(blobList.size());
}
