#pragma once

#include "bullytypes.h"
#include <vector>


namespace Bully {

class Contour {
public:
	Contour();
	Contour( Contour const & c );
	virtual ~Contour();
	Contour const & operator=( Contour const & c );

	// 3 2 1
	// 4 P 0
	// 5 6 7
	enum CODE { E=0, NE, N, NW, W, SW, S, SE };

	std::vector<Vector2i> pixels;
	std::vector<char> chaincode;
	Vector2i startPoint;

protected:
	void init( Contour const & c );
};

}; // namespace Bully
