#pragma once

#include "bullymoduleanal.h"

namespace Bully {

class Object;

class ModuleAnalyze_Debug : public ModuleAnalyze {
public:
	ModuleAnalyze_Debug(BufferManager &buffer, Params &params);

	Result process( ObjectList * );
	void handleInput( bool down, char ascii );
	void handleInput( bool down, int mbutton, int x, int y );

private:
	std::vector<Vector2i> roi;
	Vector3d startPos;
	ObjectList *objects;
};

}
