#pragma once

#include "bullymoduleanal.h"

namespace Bully {

class Object;

class ModuleAnalyze_NotStanding_Shadow : public ModuleAnalyze {
public:
	ModuleAnalyze_NotStanding_Shadow(BufferManager &buffer, Params &params);

	Result process( ObjectList * );
	void handleInput( bool down, char ascii );
	void handleInput( bool down, int mbutton, int x, int y ){};

private:
	unsigned int getShadowArea( Object &obj );
};

}
