#pragma once

#include "bullymoduleanal.h"

namespace Bully {

/**
	This class analyzes the behavior/situation, attempting to recognize unwanted behavior.

	Responsibility:
	- Analysis of the features extracted from the tracked objects
*/
class ModuleAnalyze_Tdt4725 : public ModuleAnalyze {
public:
	ModuleAnalyze_Tdt4725( BufferManager &buffer, Params &params );

	Result process( ObjectList * );
	void handleInput( bool down, char ascii ){}
	void handleInput( bool down, int mbutton, int x, int y ){};
};

}; // namespace Bully
