#pragma once

#include "bullymoduleprep.h"

namespace Bully {

class ModulePreprocess_CNCC_RGB : public ModulePreprocess {
public:
	ModulePreprocess_CNCC_RGB( BufferManager &buffer, Params &params );
	virtual ~ModulePreprocess_CNCC_RGB();

	void process();
	void handleInput( bool down, char ascii );
	void handleInput( bool down, int mbutton, int x, int y ){};

protected:
	void drawDebugOutput();
	void findShadowPixels();
};

}; // namespace Bully
