#pragma once

#include "bullyobject.h"

namespace Bully {

class ObjectList {
public:
	ObjectList(){
		_index = 0;
	}
	virtual ~ObjectList(){
	};
	int count(){
		return static_cast<int>(objectList.size());
	}
	int index(){
		return _index;
	}
	Object& current(){
		return *_current;
	}
	int first(){
		_current = objectList.begin();
		_index = 0;
		return 0;
	}
	int next(){
		++_index;
		++_current;
		if( _current == objectList.end() ){
			_index = 0;
			_current = objectList.begin();
		}
		return _index;
	}
	void pushPos(){
		posList.push_back(_current);
	}
	void popPos(){
		_current = posList.back();
		posList.pop_back();
	}

	Object* add( Object & obj );
	void deleteExited();
	void deleteUnreferenced();
	void resetVisited();

	Object& get(int i);

private:
	std::list<Object> objectList;

	typedef std::list<Object>::iterator objit;
	objit _current;
	std::list<objit> posList;

	int _index;
};

};
